import request from '@/utils/request'

// 获取首页数据1
export function loadIndexs(data) {
	return request({
		url: '/apis/index',
		method: 'get',
		data
	});
}
// aboutlist
export function aboutlist(data) {
	return request({
		url: '/apis/about',
		method: 'get',
		data
	});
}
//提交表单1
export function addForm(data) {
	return request({
		url: '/apis/form',
		method: 'post',
		data
	})
}
// articlelist公司介绍列表1
export function articlelist(data) {
	return request({
		url: '/apis/article',
		method: 'get',
		data
	});
}
//公司介绍详情1
export function articleDetail(data, id) {
	return request({
		url: '/apis/article/' + id,
		method: 'get',
		data
	});
}

// caseslist案例列表
export function caseslist(data) {
	return request({
		url: '/apis/cases',
		method: 'get',
		data
	});
}

export function newslist(data) {
	return request({
		url: '/apis/story',
		method: 'get',
		data
	});
}
export function newsDetail(data,id) {
	return request({
		url: '/apis/story/'+id,
		method: 'get',
		data
	});
}

export function casesDetail(data, id) {
	return request({
		url: '/apis/cases/' + id,
		method: 'get',
		data
	});
}
export function storylist(data) {
	return request({
		url: '/apis/story',
		method: 'get',
		data
	});
}
export function productlist(data) {
	return request({
		url: '/apis/product',
		method: 'get',
		data
	});
}
export function productDetail(data,id) {
	return request({
		url: '/apis/product/'+ id,
		method: 'get',
		data
	});
}
// 获取设备信息
export function machine(data,id) {
	return request({
		url: '/apis/machine/'+id,
		method: 'get',
		data
	});
}
// 获取设备信息数据展示
export function machineId(data,id) {
	return request({
		url: '/apis/machine/'+id,
		method: 'get',
		data
	});
}
// 获取公司列表
export function companies(data) {
	return request({
		url: '/apis/companies',
		method: 'get',
		data
	});
}
